Subject: Re: bug#17971: 24.3.92; Patch to fix el compression on RHEL/CentOS 7
From: Paul Eggert <[email-masked]>
To: Stephen Hassard <[email-masked]>
Cc: Glenn Morris <[email-masked]>, [email-masked]
Date: Fri, 11 Jul 2014 10:36:16 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 07/11/2014 07:52 AM, Stephen Hassard wrote:
> I've attached the trace.

Thanks, I now see the problem; it's a readdir race, where 'find' uses 
readdir to get a batch of directory entries, then execs 'gzip' which 
removes one of them, and then 'find' later complains when it gets around 
to processing the now-removed entry.  'find' traditionally ignored that 
sort of thing; I don't know why GNU 'find' changed this (for some reason 
it's fstatatting the file twice? why?).  I still cannot reproduce the 
problem, so I expect it's OS- or filesystem-dependent.

Anyway, Glenn's patch should avoid the problem, so I installed it (with 
a few minor simplifications) as emacs-24 bzr 117370, and am marking this 
as done.  This version of the patch does not look for gzip failures; 
that can be done on the trunk later.